#pragma once

#include "UiEvent.h"

#include <vector>

class EventManager
{
    std::vector<UiEventUPtr> mEvents;

public:

    EventManager();

    static std::unique_ptr<EventManager> Create();

    UiEvent* AddEvent(UiEventUPtr event);

    void ClearEvents();
};

using EventManagerUPtr = std::unique_ptr<EventManager>;
